Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.

3 D Secure Operations

Different operations linked to 3-D secure.

Get all 3-D Secure operations

get
/issuers/{issuerId}/cards/{cardId}/3ds/operations

This request is used by the issuer backend to retrieve all operations related to a card. The API specifies the starting point (offset) and the number of operations (limit) to be retrieved. Offset 0 (the default) corresponds to the most recent operation. For example a limit of 5 and an offset of 2 would return the five most recent operations before the most recent two”.

If no operations are available for the given cardId, an empty list is returned.

Operations that are older than one year are removed.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

cardIdstring · min: 1 · max: 48Required

Unique identifier of the card.

Pattern: [A-Za-z0-9_-]{1,48}
Query parameters
offsetintegerOptional

Index from which the query starts returning operations – Offset 0 (the default) corresponds to the most recent operation.

limitinteger · min: 1 · max: 50Optional

Number of operations to be returned

Default: 10
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Responses
200

Successful

application/json
remainingOperationsintegerOptional
get
/issuers/{issuerId}/cards/{cardId}/3ds/operations

Get 3-D Secure operation

get
/issuers/{issuerId}/cards/{cardId}/3ds/operations/{operationId}

This request is used by the issuer backend to retrieve the information related to a 3-D Secure operation on a card.

Getting an operation older than one year will return an error.

Authorizations
AuthorizationstringRequired

A JWT generated by the Get Authorization Token API.
The server checks the validity of the provided token to control access to this protected resource. Please refer to Get OAuth 2.0 access token for more details on the flow and on how to get this JWT.

Path parameters
issuerIdstring · min: 10 · max: 10Required

The id of the issuer

cardIdstring · min: 1 · max: 48Required

Unique identifier of the card.

Pattern: [A-Za-z0-9_-]{1,48}
operationIdstring · min: 1 · max: 64Required

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
Header parameters
x-correlation-idstring · min: 1 · max: 64Optional

Random identifier which can be used to correlate the different API calls done as part of a single use-case. This identifier will be the one primarily used for troubleshooting.

Warning: This identifier should not be derived from sensitive personal data, as its value will be logged in clear.

There is no strong guarantee of the uniqueness of this identifier, so please refrain from using it for purposes other than logging and troubleshooting.

Pattern: [a-zA-Z0-9_\-\. ]{1,64}
Responses
200

Successful

application/json

Details about a 3-D Secure operation.

operationIdstring · min: 1 · max: 64Required

Unique identifier of the operation

Pattern: [A-Za-z0-9_-]{1,64}
operationstring · enumRequired

The operation type.

Possible values:
statusstring · enumRequired

Status of the operation

Possible values:
startTimestring · min: 1 · max: 64Required

The time the request has been processed. Format ISO 8601 YYYY-MM-DDThh:mm:ssTZD

Example: 2022-06-16T06:28:02.492Z
consumerIdstring · min: 1 · max: 64Optional

Unique identifier of the end user.

Pattern: [A-Za-z0-9_-]{1,64}
detailsone ofOptional
errorstringOptional

Human readable string representing the error, only present in case of operation failure

get
/issuers/{issuerId}/cards/{cardId}/3ds/operations/{operationId}

Last updated

Was this helpful?